### Callable

- moment(inp?: MomentInput, format?: MomentFormatSpecification, strict?: undefined | false | true): Moment
- moment(inp?: MomentInput, format?: MomentFormatSpecification, language?: undefined | string, strict?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:1

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:2

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional language: undefined | string

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

## Index

### Modules

- unitOfTime

### Interfaces

- CalendarSpec
- Duration
- DurationInputObject
- FromTo
- Locale
- LocaleSpecification
- LongDateFormatSpec
- Moment
- MomentBuiltinFormat
- MomentCreationData
- MomentInputObject
- MomentLongDateFormat
- MomentObjectOutput
- MomentParsingFlags
- MomentParsingFlagsOpt
- MomentRelativeTime
- MomentSetObject
- RelativeTimeSpec
- StandaloneFormatSpec
- WeekSpec

### Type aliases

- CalendarKey
- CalendarSpecVal
- DurationInputArg1
- DurationInputArg2
- LocaleSpecifier
- LongDateFormatKey
- MomentFormatSpecification
- MomentInput
- MonthWeekdayFn
- RelativeTimeFuturePastVal
- RelativeTimeKey
- RelativeTimeSpecVal
- WeekdaySimpleFn

### Variables

- HTML5_FMT
- ISO_8601
- RFC_2822
- defaultFormat
- defaultFormatUtc
- fn
- version

### Functions

- calendarFormat
- defineLocale
- duration
- invalid
- isDate
- isDuration
- isMoment
- lang
- locale
- localeData
- locales
- max
- min
- months
- monthsShort
- normalizeUnits
- now
- parseTwoDigitYear
- parseZone
- relativeTimeRounding
- relativeTimeThreshold
- unix
- updateLocale
- utc
- weekdays
- weekdaysMin
- weekdaysShort

## Type aliases

### CalendarKey

CalendarKey: "sameDay" | "nextDay" | "lastDay" | "nextWeek" | "lastWeek" | "sameElse" | string

- Defined in node_modules/moment/moment.d.ts:6

### CalendarSpecVal

CalendarSpecVal: string | function

- Defined in node_modules/moment/moment.d.ts:61

### DurationInputArg1

DurationInputArg1: Duration | number | string | FromTo | DurationInputObject | void

- Defined in node_modules/moment/moment.d.ts:403

### DurationInputArg2

DurationInputArg2: DurationConstructor

- Defined in node_modules/moment/moment.d.ts:404

### LocaleSpecifier

LocaleSpecifier: string | Moment | Duration | string[] | boolean

- Defined in node_modules/moment/moment.d.ts:405

### LongDateFormatKey

LongDateFormatKey: "LTS" | "LT" | "L" | "LL" | "LLL" | "LLLL" | "lts" | "lt" | "l" | "ll" | "lll" | "llll"

- Defined in node_modules/moment/moment.d.ts:7

### MomentFormatSpecification

MomentFormatSpecification: string | MomentBuiltinFormat | (string | MomentBuiltinFormat)[]

- Defined in node_modules/moment/moment.d.ts:284

### MomentInput

MomentInput: Moment | Date | string | number | (string | number)[] | MomentInputObject | void

- Defined in node_modules/moment/moment.d.ts:402

### MonthWeekdayFn

MonthWeekdayFn: function

- Defined in node_modules/moment/moment.d.ts:115

#### Type declaration

- - (momentToFormat: Moment, format?: undefined | string): string

  - #### Parameters

    - ##### momentToFormat: Moment

    - ##### Optional format: undefined | string

    #### Returns string

### RelativeTimeFuturePastVal

RelativeTimeFuturePastVal: string | function

- Defined in node_modules/moment/moment.d.ts:79

### RelativeTimeKey

RelativeTimeKey: "s" | "ss" | "m" | "mm" | "h" | "hh" | "d" | "dd" | "M" | "MM" | "y" | "yy"

- Defined in node_modules/moment/moment.d.ts:5

### RelativeTimeSpecVal

RelativeTimeSpecVal: string | function

- Defined in node_modules/moment/moment.d.ts:74

### WeekdaySimpleFn

WeekdaySimpleFn: function

- Defined in node_modules/moment/moment.d.ts:116

#### Type declaration

- - (momentToFormat: Moment): string

  - #### Parameters

    - ##### momentToFormat: Moment

    #### Returns string

## Variables

### HTML5_FMT

HTML5_FMT: object

- Defined in node_modules/moment/moment.d.ts:722

#### Type declaration

- ##### DATE: string

- ##### DATETIME_LOCAL: string

- ##### DATETIME_LOCAL_MS: string

- ##### DATETIME_LOCAL_SECONDS: string

- ##### MONTH: string

- ##### TIME: string

- ##### TIME_MS: string

- ##### TIME_SECONDS: string

- ##### WEEK: string

### ISO_8601

ISO_8601: MomentBuiltinFormat

- Defined in node_modules/moment/moment.d.ts:716

Constant used to enable explicit ISO_8601 format parsing.

### RFC_2822

RFC_2822: MomentBuiltinFormat

- Defined in node_modules/moment/moment.d.ts:717

### defaultFormat

defaultFormat: string

- Defined in node_modules/moment/moment.d.ts:719

### defaultFormatUtc

defaultFormatUtc: string

- Defined in node_modules/moment/moment.d.ts:720

### fn

fn: Moment

- Defined in node_modules/moment/moment.d.ts:621

### version

version: string

- Defined in node_modules/moment/moment.d.ts:620

## Functions

### calendarFormat

- calendarFormat(m: Moment, now: Moment): string

- - Defined in node_modules/moment/moment.d.ts:709

  #### Parameters

  - ##### m: Moment

  - ##### now: Moment

  #### Returns string

### defineLocale

- defineLocale(language: string, localeSpec: LocaleSpecification | void): Locale

- - Defined in node_modules/moment/moment.d.ts:699

  #### Parameters

  - ##### language: string

  - ##### localeSpec: LocaleSpecification | void

  #### Returns Locale

### duration

- duration(inp?: DurationInputArg1, unit?: DurationInputArg2): Duration

- - Defined in node_modules/moment/moment.d.ts:649

  #### Parameters

  - ##### Optional inp: DurationInputArg1

  - ##### Optional unit: DurationInputArg2

  #### Returns Duration

### invalid

- invalid(flags?: MomentParsingFlagsOpt): Moment

- - Defined in node_modules/moment/moment.d.ts:629

  #### Parameters

  - ##### Optional flags: MomentParsingFlagsOpt

  #### Returns Moment

### isDate

- isDate(m: any): boolean

- - Defined in node_modules/moment/moment.d.ts:631

  #### Parameters

  - ##### m: any

  #### Returns boolean

### isDuration

- isDuration(d: any): boolean

- - Defined in node_modules/moment/moment.d.ts:632

  #### Parameters

  - ##### d: any

  #### Returns boolean

### isMoment

- isMoment(m: any): boolean

- - Defined in node_modules/moment/moment.d.ts:630

  #### Parameters

  - ##### m: any

  #### Returns boolean

### lang

- lang(language?: undefined | string): string
- lang(language?: undefined | string, definition?: Locale): string

- - Defined in node_modules/moment/moment.d.ts:637
  deprecated

    in 2.8.0

  #### Parameters

  - ##### Optional language: undefined | string

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:641
  deprecated

    in 2.8.0

  #### Parameters

  - ##### Optional language: undefined | string

  - ##### Optional definition: Locale

  #### Returns string

### locale

- locale(language?: undefined | string): string
- locale(language?: string[]): string
- locale(language?: undefined | string, definition?: LocaleSpecification | void): string

- - Defined in node_modules/moment/moment.d.ts:643

  #### Parameters

  - ##### Optional language: undefined | string

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:644

  #### Parameters

  - ##### Optional language: string[]

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:645

  #### Parameters

  - ##### Optional language: undefined | string

  - ##### Optional definition: LocaleSpecification | void

  #### Returns string

### localeData

- localeData(key?: string | string[]): Locale

- - Defined in node_modules/moment/moment.d.ts:647

  #### Parameters

  - ##### Optional key: string | string[]

  #### Returns Locale

### locales

- locales(): string[]

- - Defined in node_modules/moment/moment.d.ts:702

  #### Returns string[]

### max

- max(moments: Moment[]): Moment
- max(...moments: Moment[]): Moment

- - Defined in node_modules/moment/moment.d.ts:691

  #### Parameters

  - ##### moments: Moment[]

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:692

  #### Parameters

  - ##### Rest ...moments: Moment[]

  #### Returns Moment

### min

- min(moments: Moment[]): Moment
- min(...moments: Moment[]): Moment

- - Defined in node_modules/moment/moment.d.ts:689

  #### Parameters

  - ##### moments: Moment[]

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:690

  #### Parameters

  - ##### Rest ...moments: Moment[]

  #### Returns Moment

### months

- months(): string[]
- months(index: number): string
- months(format: string): string[]
- months(format: string, index: number): string

- - Defined in node_modules/moment/moment.d.ts:655

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:656

  #### Parameters

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:657

  #### Parameters

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:658

  #### Parameters

  - ##### format: string

  - ##### index: number

  #### Returns string

### monthsShort

- monthsShort(): string[]
- monthsShort(index: number): string
- monthsShort(format: string): string[]
- monthsShort(format: string, index: number): string

- - Defined in node_modules/moment/moment.d.ts:659

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:660

  #### Parameters

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:661

  #### Parameters

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:662

  #### Parameters

  - ##### format: string

  - ##### index: number

  #### Returns string

### normalizeUnits

- normalizeUnits(unit: All): string

- - Defined in node_modules/moment/moment.d.ts:704

  #### Parameters

  - ##### unit: All

  #### Returns string

### now

- now(): number

- - Defined in node_modules/moment/moment.d.ts:697

  Returns unix time in milliseconds. Overwrite for profit.

  #### Returns number

### parseTwoDigitYear

- parseTwoDigitYear(input: string): number

- - Defined in node_modules/moment/moment.d.ts:711

  #### Parameters

  - ##### input: string

  #### Returns number

### parseZone

- parseZone(inp?: MomentInput, format?: MomentFormatSpecification, strict?: undefined | false | true): Moment
- parseZone(inp?: MomentInput, format?: MomentFormatSpecification, language?: undefined | string, strict?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:652

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:653

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional language: undefined | string

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

### relativeTimeRounding

- relativeTimeRounding(fn: function): boolean
- relativeTimeRounding(): function

- - Defined in node_modules/moment/moment.d.ts:707

  #### Parameters

  - ##### fn: function

    - - (num: number): number

      - #### Parameters

        - ##### num: number

        #### Returns number

  #### Returns boolean

- - Defined in node_modules/moment/moment.d.ts:708

  #### Returns function

  - - (num: number): number

    - #### Parameters

      - ##### num: number

      #### Returns number

### relativeTimeThreshold

- relativeTimeThreshold(threshold: string): number | boolean
- relativeTimeThreshold(threshold: string, limit: number): boolean

- - Defined in node_modules/moment/moment.d.ts:705

  #### Parameters

  - ##### threshold: string

  #### Returns number | boolean

- - Defined in node_modules/moment/moment.d.ts:706

  #### Parameters

  - ##### threshold: string

  - ##### limit: number

  #### Returns boolean

### unix

- unix(timestamp: number): Moment

- - Defined in node_modules/moment/moment.d.ts:627

  #### Parameters

  - ##### timestamp: number

  #### Returns Moment

### updateLocale

- updateLocale(language: string, localeSpec: LocaleSpecification | void): Locale

- - Defined in node_modules/moment/moment.d.ts:700

  #### Parameters

  - ##### language: string

  - ##### localeSpec: LocaleSpecification | void

  #### Returns Locale

### utc

- utc(inp?: MomentInput, format?: MomentFormatSpecification, strict?: undefined | false | true): Moment
- utc(inp?: MomentInput, format?: MomentFormatSpecification, language?: undefined | string, strict?: undefined | false | true): Moment

- - Defined in node_modules/moment/moment.d.ts:624

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

- - Defined in node_modules/moment/moment.d.ts:625

  #### Parameters

  - ##### Optional inp: MomentInput

  - ##### Optional format: MomentFormatSpecification

  - ##### Optional language: undefined | string

  - ##### Optional strict: undefined | false | true

  #### Returns Moment

### weekdays

- weekdays(): string[]
- weekdays(index: number): string
- weekdays(format: string): string[]
- weekdays(format: string, index: number): string
- weekdays(localeSorted: boolean): string[]
- weekdays(localeSorted: boolean, index: number): string
- weekdays(localeSorted: boolean, format: string): string[]
- weekdays(localeSorted: boolean, format: string, index: number): string

- - Defined in node_modules/moment/moment.d.ts:664

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:665

  #### Parameters

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:666

  #### Parameters

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:667

  #### Parameters

  - ##### format: string

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:668

  #### Parameters

  - ##### localeSorted: boolean

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:669

  #### Parameters

  - ##### localeSorted: boolean

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:670

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:671

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  - ##### index: number

  #### Returns string

### weekdaysMin

- weekdaysMin(): string[]
- weekdaysMin(index: number): string
- weekdaysMin(format: string): string[]
- weekdaysMin(format: string, index: number): string
- weekdaysMin(localeSorted: boolean): string[]
- weekdaysMin(localeSorted: boolean, index: number): string
- weekdaysMin(localeSorted: boolean, format: string): string[]
- weekdaysMin(localeSorted: boolean, format: string, index: number): string

- - Defined in node_modules/moment/moment.d.ts:680

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:681

  #### Parameters

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:682

  #### Parameters

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:683

  #### Parameters

  - ##### format: string

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:684

  #### Parameters

  - ##### localeSorted: boolean

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:685

  #### Parameters

  - ##### localeSorted: boolean

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:686

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:687

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  - ##### index: number

  #### Returns string

### weekdaysShort

- weekdaysShort(): string[]
- weekdaysShort(index: number): string
- weekdaysShort(format: string): string[]
- weekdaysShort(format: string, index: number): string
- weekdaysShort(localeSorted: boolean): string[]
- weekdaysShort(localeSorted: boolean, index: number): string
- weekdaysShort(localeSorted: boolean, format: string): string[]
- weekdaysShort(localeSorted: boolean, format: string, index: number): string

- - Defined in node_modules/moment/moment.d.ts:672

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:673

  #### Parameters

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:674

  #### Parameters

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:675

  #### Parameters

  - ##### format: string

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:676

  #### Parameters

  - ##### localeSorted: boolean

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:677

  #### Parameters

  - ##### localeSorted: boolean

  - ##### index: number

  #### Returns string

- - Defined in node_modules/moment/moment.d.ts:678

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:679

  #### Parameters

  - ##### localeSorted: boolean

  - ##### format: string

  - ##### index: number

  #### Returns string

Generated using TypeDoc